class PluginPuppetBaselineReintroduceNodeBaselineTable < ActiveRecord::Migration
  def self.up
    create_table :node_baselines do |t|
      t.integer :node_id
      t.integer :baseline_id
      t.date    :date
    end

    add_index :node_baselines, [:node_id, :date], :unique => true

    Baseline.all.each do |b|
      NodeBaseline.create!(:date => b.date, :baseline_id => b.id, :node_id => b.node_id)
    end

    remove_column :baselines, :node_id
    remove_column :baselines, :date
  end

  def self.down
    raise ActiveRecord::IrreversibleMigration
  end
end
